Subject: Re: bug#73098: setopt float warning unexpected

From: Ship Mints <[email-masked]>
Date: Sat, 14 Sep 2024 08:33:04 -0400

I didn't try -Q assuming this behavior would be unaffected. I'll try to
keep this simple case in mind for future reproducers and go native when
practical. Thank you for the docstring edits.

On Sat, Sep 14, 2024 at 2:15 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Fri, 13 Sep 2024 15:38:28 -0400
> > Cc: Stefan Kangas <[email-masked]>, Eli Zaretskii <[email-masked]>,
>
> >       Michael Heerdegen <[email-masked]>,
> [email-masked]
> >
> > The warning messages can be misleading. e.g., when trying to set
> tab-bar-format-tabs-groups to include a
> > simple lambda, it complains about the wrong thing. It does match the
> hook type, but does not match the
> > hard-coded list of options.
> >
> >    (setopt tab-bar-format
> >            `(
> >              tab-bar-format-tabs-groups
> >              (lambda () " ") ; tab-bar-separator
> >     ))
> >
> >  ■  Warning (emacs): Value '(nil tab-bar-format-tabs-groups (lambda nil
> " "))' does not match type hook
>
> I don't get a warning when I evaluate the above.  Is this in "emacs -Q"?
>